## EDU.oswego.cs.dl.util.concurrent
Class QueuedSemaphore.WaitQueue.WaitNode

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.QueuedSemaphore.WaitQueue.WaitNode

Enclosing class:
  QueuedSemaphore.WaitQueue

    protected static class QueuedSemaphore.WaitQueue.WaitNode

extends java.lang.Object

Constructor Summary
`protected` `QueuedSemaphore.WaitQueue.WaitNode()`

Method Summary
`protected boolean` `doTimedWait(QueuedSemaphore sem, long msecs)`
`protected void` `doWait(QueuedSemaphore sem)`
`protected boolean` `signal()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueuedSemaphore.WaitQueue.WaitNode

    protected QueuedSemaphore.WaitQueue.WaitNode()

Method Detail

### signal

    protected boolean signal()

### doTimedWait

    protected boolean doTimedWait(QueuedSemaphore sem,
                                  long msecs)
                           throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### doWait

    protected void doWait(QueuedSemaphore sem)
                   throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`